package digital.laboratory.platform.inspection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.dto.AssignmentInfoDto;
import digital.laboratory.platform.inspection.entity.AssignmentInfo;
import digital.laboratory.platform.inspection.entity.TaskInfo;
import digital.laboratory.platform.inspection.vo.AssignmentInfoVo;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Objects;

/*
 *@title AssignmentInfoService
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/7 15:31
 */
public interface AssignmentInfoService extends IService<AssignmentInfo> {
    List<AssignmentInfo>  addAssignmentInfo(List<AssignmentInfoDto> assignmentInfoDtoList);//添加任务信息
    public boolean cancelAssignmentInfo(List<AssignmentInfo> assignmentInfoList);
    Boolean deleteAssignmentInfo(String id);//删除任务信息
    IPage getAssignmentInfoPageList(Page page, AssignmentInfoDto assignmentInfoDto);
    List getAssignmentInfoList(AssignmentInfoDto assignmentInfoDto);
    Boolean checkExist(String id);


    boolean cancelByBusiness(List<String> businessIdList);

    IPage<AssignmentInfoVo> getAssignedEntrustPage(Page page, String keywords);
}
